#include "client/rendering/Shaders.h"

Shaders::Shaders()
    : world("resources/shader/world.vs", "resources/shader/world.fs"),
      ssao("resources/shader/ssao.vs", "resources/shader/ssao.fs"),
      ssaoBlur("resources/shader/ssaoBlur.vs", "resources/shader/ssaoBlur.fs"),
      shadow("resources/shader/worldShadow.vs",
             "resources/shader/worldShadow.fs"),
      postWorld("resources/shader/worldPost.vs",
                "resources/shader/worldPost.fs"),
      overlay("resources/shader/overlay.vs", "resources/shader/overlay.fs") {
}

bool Shaders::hasError() const {
    return world.hasError() || ssao.hasError() || ssaoBlur.hasError() ||
           shadow.hasError() || postWorld.hasError() || overlay.hasError();
}