#ifndef WORLDRENDERER_H
#define WORLDRENDERER_H

#include "client/rendering/Mesh.h"
#include "client/rendering/ShaderMatrix.h"
#include "common/world/World.h"
#include "rendering/FileTexture.h"

class WorldRenderer {
public:
    WorldRenderer(const World& world);

    void render(float lag, ShaderMatrix& sm);
    void addCube(TypedBuffer<Triangle>& buffer, float x, float y, float z);
    bool isAir(int x, int y, int z) const;

private:
    const World& world;
    Mesh mesh;
    FileTexture texture;
};

#endif